in scala.xml.parsing
class ValidatingMarkupHandler

`abstract class` ValidatingMarkupHandler
  `extends` scala.xml.parsing.MarkupHandler
  `with` scala.util.logging.Logged
  `with` scala.ScalaObject

Direct Known Subclasses:
  Binder

Constructor Summary
| `def` this

Val Summary
`final` `override` | `val` isValidating : scala.Boolean(true)

Var Summary
| `var` declCurrent : scala.xml.dtd.ElemDecl
| `var` declStack : scala.List[scala.xml.dtd.ElemDecl]
| `var` qCurrent : scala.Int
| `var` qStack : scala.List[scala.Int]
| `var` rootLabel : java.lang.String

Def Summary
`final` `override` | `def` attListDecl (name: java.lang.String, attList: scala.List[scala.xml.dtd.AttrDecl]) : scala.Unit
`final` `override` | `def` elemDecl (name: java.lang.String, cmstr: java.lang.String) : scala.Unit
`override` | `def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String) : scala.Unit
`override` | `def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding) : scala.Unit
`override` | `def` endDTD (n: java.lang.String) : scala.Unit
`override` | `def` log (msg: java.lang.String) : scala.Unit
`final` `override` | `def` notationDecl (notat: java.lang.String, extID: scala.xml.dtd.ExternalID) : scala.Unit
`final` `override` | `def` peReference (name: java.lang.String) : scala.Unit
`abstract` | `def` reportValidationError (pos: scala.Int, str: java.lang.String) : scala.Unit report a syntax error
`final` `override` | `def` unparsedEntityDecl (name: java.lang.String, extID: scala.xml.dtd.ExternalID, notat: java.lang.String) : scala.Unit

Constructor Detail

`def` this

Val Detail

`final override val` isValidating : scala.Boolean(true)

Var Detail

`var` declCurrent : scala.xml.dtd.ElemDecl

`var` declStack : scala.List[scala.xml.dtd.ElemDecl]

`var` qCurrent : scala.Int

`var` qStack : scala.List[scala.Int]

`var` rootLabel : java.lang.String

Def Detail

`final override def` attListDecl (name: java.lang.String, attList: scala.List[scala.xml.dtd.AttrDecl]): scala.Unit

`final override def` elemDecl (name: java.lang.String, cmstr: java.lang.String): scala.Unit

`override def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String): scala.Unit

`override def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding): scala.Unit

`override def` endDTD (n: java.lang.String): scala.Unit

`override def` log (msg: java.lang.String): scala.Unit

`final override def` notationDecl (notat: java.lang.String, extID: scala.xml.dtd.ExternalID): scala.Unit

`final override def` peReference (name: java.lang.String): scala.Unit

`abstract def` reportValidationError (pos: scala.Int, str: java.lang.String): scala.Unit

  report a syntax error

`final override def` unparsedEntityDecl (name: java.lang.String, extID: scala.xml.dtd.ExternalID, notat: java.lang.String): scala.Unit